[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# InflateRect

Increase the rectangle in size, keeping it centered

## Declaration

Source position: types.pp line 340

`function InflateRect(`
`var Rect: TRect;`
`dx: Integer;`
`dy: Integer`
`):Boolean;`

## Description

InflateRect inflates the rectangle horizontally with dx pixels on each side, and vertically with dy pixels, thus keeping its center point on the same location. It returns true if the operation was successfully, False if it was not (only possible if the address of Rect is Nil).

## See also

PtinRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
CenterPoint |  | Return the center point of a rectangle
Size |  | Return the size of the rectangle
IsRectEmpty |  | Check whether a rectangle is empty